﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Ogc.Filter.LogicOps
{
    public abstract class BinaryLogicOp : LogicOp
    {
        IFilter a;
        IFilter b;

        protected BinaryLogicOp(IFilter a, IFilter b)
        {
            this.a = a;
            this.b = b;
        }

        public override bool Test(IPropertyGetter getter)
        {
            return Evaluate(getter, a, b);
        }

        protected abstract bool Evaluate(IPropertyGetter getter, IFilter a, IFilter b);
    }

    public class And : BinaryLogicOp
    {
        public And(IFilter a, IFilter b)
            : base(a, b)
        {

        }

        protected override bool Evaluate(IPropertyGetter getter, IFilter a, IFilter b)
        {
            return a.Test(getter) && b.Test(getter);
        }
    }

    public class Or : BinaryLogicOp
    {
        public Or(IFilter a, IFilter b)
            : base(a, b)
        {

        }

        protected override bool Evaluate(IPropertyGetter getter, IFilter a, IFilter b)
        {
            return a.Test(getter) || b.Test(getter);
        }
    }
}
