﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Ogc.Filter.LogicOps
{
    public abstract class UnaryLogicOp : LogicOp
    {
        IFilter a;

        protected UnaryLogicOp(IFilter a)
        {
            this.a = a;
        }

        public override bool Test(IPropertyGetter getter)
        {
            return Evaluate(getter, a);
        }

        protected abstract bool Evaluate(IPropertyGetter getter, IFilter a);
    }

    public class Not : UnaryLogicOp
    {
        public Not(IFilter a)
            : base(a)
        {
        }

        protected override bool Evaluate(IPropertyGetter getter, IFilter a)
        {
            return !a.Test(getter);
        }
    }
}
