﻿using System;
using System.Collections.Generic;
using System.Text;
using SharpMap.Geometries;

namespace Ogc.Filter.SpatialOps
{
    public class BBox : SpatialOp
    {
        BoundingBox bbox;

        public BBox(string geoPropertyName, BoundingBox bbox)
            : base(geoPropertyName)
        {
            this.bbox = bbox;
        }

        protected override bool Test(IGeomeryPropertyGetter getter)
        {
            return bbox.Intersects(getter.GetGeometryProperty(GeoPropertyName).GetBoundingBox());
        }
    }

}
