﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;
using SharpMap.Rendering;
using SharpMap.Geometries;

namespace Ogc.Sld.Symbolizers
{
    public class LineSymbolizer : Symbolizer
    {
        Pen stroke;
        public System.Drawing.Pen Stroke
        {
            get { return stroke; }
            set { stroke = value; }
        }

        public override void Render(Graphics g, SharpMap.Map map, SharpMap.Data.FeatureDataRow dr)
        {
            if (dr.Geometry is LineString)
                VectorRenderer.DrawLineString(g, (LineString)dr.Geometry, stroke, map);
            else if (dr.Geometry is MultiLineString)
                VectorRenderer.DrawMultiLineString(g, (MultiLineString)dr.Geometry, stroke, map);
        }
    }
}
