﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using System.Net;
using System.IO;
using System.Xml;

namespace Ogc.Wfs
{
    public class Client
    {
        public XmlDocument GetFeature(RequestGetFeatureBoxParameters p)
        {
            HttpWebRequest request = (HttpWebRequest)WebRequest.Create(p.Uri);
            request.Method = "POST";
            request.ContentType = "text/xml";
            byte[] bytes = p.ToBytes();
            request.ContentLength = bytes.Length;
            using (Stream stream = request.GetRequestStream())
            {
                stream.Write(bytes, 0, bytes.Length);
            }

            using (System.Net.WebResponse response = request.GetResponse())
            {
                XmlDocument ret = new XmlDocument();
                ret.Load(response.GetResponseStream());
                return ret;
            }
        }

        public XmlDocument GetCapabilities(RequestGetCapabilitiesParameters p)
        {
            System.UriBuilder uriBuilder = new System.UriBuilder(p.Uri);
            uriBuilder.Query = p.ToString();
            System.Net.WebRequest wr = System.Net.WebRequest.Create(uriBuilder.Uri);
            using (System.Net.WebResponse response = wr.GetResponse())
            {
                XmlDocument doc = new XmlDocument();
                doc.Load(response.GetResponseStream());
                return doc;
            }
        }
    }
}
