﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Xml;

namespace Ogc.Wms
{
    public class Box : WmsModel
    {
        public Box(XmlElement dataNode)
        {
            this.dataNode = dataNode;
        }

        public double MinX
        {
            get
            {
                return double.Parse(dataNode.SelectSingleNode("@minx").Value);
            }
            set
            {
                SetAttr("minx", value.ToString());
            }
        }

        public double MinY
        {
            get
            {
                return double.Parse(dataNode.SelectSingleNode("@miny").Value);
            }
            set
            {
                SetAttr("miny", value.ToString());
            }
        }

        public double MaxX
        {
            get
            {
                return double.Parse(dataNode.SelectSingleNode("@maxx").Value);
            }
            set
            {
                SetAttr("maxx", value.ToString());
            }
        }

        public double MaxY
        {
            get
            {
                return double.Parse(dataNode.SelectSingleNode("@maxy").Value);
            }
            set
            {
                SetAttr("maxy", value.ToString());
            }
        }

        public double[] LatLonBoundingBox
        {
            get
            {
                return new double[] { MinX, MinY, MaxX, MaxY };
            }
        }
    }
}
