﻿
/// <summary>
/// WmsContext 的摘要说明
/// </summary>
using System.Web;
using System;
public class WmsProcessor
{
    HttpContext context;

    public WmsProcessor(HttpContext context)
    {
        this.context = context;
    }

    internal void Process()
    {
        string method = context.Request["REQUEST"];
        IsRequestParameterNull(method, "REQUEST");
        string service = context.Request["SERVICE"];
        IsRequestParameterNull(service, "SERVICE");
        string version = context.Request["VERSION"];

        if (method.Equals("GetCapabilities", StringComparison.OrdinalIgnoreCase))
            new GetCapabilitiesProcessor(context).Process();
        else if (method.Equals("GetMap", StringComparison.OrdinalIgnoreCase))
            new GetMapProcessor(context).Process();
        else
            throw new Exception("错误的请求参数");
    }

    private void IsRequestParameterNull(string method, string name)
    {
        if (string.IsNullOrEmpty(method))
            throw new Exception("错误的请求参数:" + name);
    }
}
