﻿using System;
using System.Collections.Generic;
using System.Text;
using Ogc.Filter;
using SharpMap.Geometries;

namespace unittests.Ogc.Filter
{
    class NamedGeomeryPropertyGetter : IGeomeryPropertyGetter
    {
        Dictionary<string, object> dict = new Dictionary<string,object>();

        public void Add(string name, object value)
        {
            dict.Add(name, value);
        }

        #region IGeomeryPropertyGetter 成员

        public SharpMap.Geometries.Geometry GetGeometryProperty(string name)
        {
            return (Geometry)GetProperty(name);
        }

        #endregion

        #region IPropertyGetter 成员

        public object GetProperty(string name)
        {
            object ret;
            if (dict.TryGetValue(name, out ret))
                return ret;
            throw new ArgumentException();
        }

        #endregion
    }
}
